class Client
{
    constructor(name) {
        this.name = name;
        this.endpoints = [];
        console.log('constructed Client');
    }

    endpoint(ep) {
        this.endpoints.push(ep);
        return this;
    }

    command(data) {
        this.endpoints.forEach(ep => ep.sendCommand(data));
    }
};

module.exports = (name) => new Client(name);